org.apache.ignite.internal.visor.cache

## Class VisorCacheSwapBackupsTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<Set<String>,Map<String,IgniteBiTuple<Integer,Integer>>>
    - - org.apache.ignite.internal.visor.cache.VisorCacheSwapBackupsTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<Set<String>>,Map<String,IgniteBiTuple<Integer,Integer>>>

    @GridInternal
    public class VisorCacheSwapBackupsTask
    extends VisorOneNodeTask<Set<String>,Map<String,IgniteBiTuple<Integer,Integer>>>

Task for swapping backup cache entries.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheSwapBackupsTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.cache.VisorCacheSwapBackupsTask.VisorCachesSwapBackupsJob` `job(Set<String> names)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheSwapBackupsTask

    public VisorCacheSwapBackupsTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.cache.VisorCacheSwapBackupsTask.VisorCachesSwapBackupsJob job(Set<String> names)

Specified by:
  `job` in class `VisorMultiNodeTask<Set<String>,Map<String,IgniteBiTuple<Integer,Integer>>,Map<String,IgniteBiTuple<Integer,Integer>>>`
Parameters:
  `names` - Task arg.
Returns:
  New job.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015